%define livearches %{ix86} x86_64 ppc ppc64

Summary: Graphical system installer
Name:    moblin-installer
Version: 0.34
Release: 2.2.moblin2
License: GPLv2+
Group:   Applications/System
URL:     http://fedoraproject.org/wiki/Anaconda

Source0: moblin-installer-%{version}.tar.bz2
Patch0:  moblin-installer-0.34-resizefs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Versions of required components (done so we make sure the buildrequires
# match the requires versions of things).
%define dmver 1.02.17-6
%define gettextver 0.11
%define intltoolver 0.31.2-3
%define libnlver 1.0
%define pykickstartver 1.46
%define rpmpythonver 4.2-0.61
%define slangver 2.0.6-2
%define yumver 2.9.2
%define rhplver 0.170
%define partedver 1.8.1
%define syscfgdatever 1.9.0
%define libbdevidver 5.1.2-1
%define desktopfileutilsver 0.8
%define e2fsver 1.41.0
%define nmver 0.7.0
%define dbusver 1.2.3
%define createrepover 0.4.7
%define yumutilsver 1.1.11-3

BuildRequires: booty
BuildRequires: bzip2-devel
BuildRequires: device-mapper-devel >= %{dmver}
BuildRequires: e2fsprogs-devel >= %{e2fsver}
BuildRequires: elfutils-devel
BuildRequires: gettext >= %{gettextver}
BuildRequires: gtk2-devel
BuildRequires: intltool >= %{intltoolver}
BuildRequires: isomd5sum-devel
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: libXxf86misc-devel
BuildRequires: libnl-devel >= %{libnlver}
BuildRequires: libxml2-python
BuildRequires: newt-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: pykickstart >= %{pykickstartver}
BuildRequires: python-devel
BuildRequires: python-urlgrabber
BuildRequires: rhpl
BuildRequires: rpm-python >= %{rpmpythonver}
BuildRequires: slang-devel >= %{slangver}
BuildRequires: xmlto
BuildRequires: yum >= %{yumver}
BuildRequires: zlib-devel
BuildRequires: dbus-devel >= %{dbusver}
%ifarch %livearches
BuildRequires: desktop-file-utils
%endif
BuildRequires: connman-devel
BuildRequires: libblkid-devel

Requires: pygtk2-libglade
Requires: rpm-python >= %{rpmpythonver}
Requires: comps-extras
Requires: rhpl >= %{rhplver}
Requires: booty
Requires: parted >= %{partedver}
Requires: pyparted >= %{partedver}
Requires: yum >= %{yumver}
Requires: libxml2-python
Requires: python-urlgrabber
Requires: system-logos
Requires: pykickstart >= %{pykickstartver}
Requires: system-config-date >= %{syscfgdatever}
Requires: device-mapper >= %{dmver}
Requires: device-mapper-libs >= %{dmver}
Requires: dosfstools
Requires: e2fsprogs >= %{e2fsver}
Requires: gzip
%ifarch %{ix86} x86_64 ia64
Requires: dmidecode
%endif
#Requires: python-pyblock >= %{pythonpyblockver}
#Requires: libbdevid >= %{libbdevidver}
#Requires: libbdevid-python
Requires: libuser-python
Requires: newt-python
Requires: authconfig
#Requires: gnome-python2-gtkhtml2
#Requires: system-config-firewall
Requires: cryptsetup-luks
Requires: util-linux-ng
Requires: hal, dbus-python
Requires: GConf-dbus
Requires: cracklib-python
#Requires: python-bugzilla
%ifarch %livearches
Requires: usermode
Requires: zenity
Requires(post): desktop-file-utils >= %{desktopfileutilsver}
Requires(postun): desktop-file-utils >= %{desktopfileutilsver}
%endif
#Requires: createrepo >= %{createrepover}
Requires: squashfs-tools
Requires: genisoimage
%ifarch %{ix86} x86_64
Requires: syslinux
Requires: makebootfat
Requires: device-mapper
%endif
#Requires: busybox-anaconda
Requires: isomd5sum
Requires: yum-utils >= %{yumutilsver}
Requires: connman
Requires: dhclient
Requires: dhcpv6-client
#Requires: anaconda-yum-plugins

%description
The moblin-installer package contains the program which was used to install your 
system.  These files are of little use on an already installed system.

%prep
%setup -q
%patch0 -p1

%build
%{__make} depend
%{__make} 

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}



install -d %{buildroot}/var/lib/moblin-installer/scripts

%ifarch %livearches
desktop-file-install --vendor="" --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/liveinst.desktop
%endif

#%find_lang %{name}
%find_lang anaconda

%clean
%{__rm} -rf %{buildroot}

%ifarch %livearches
%post
/usr/bin/update-desktop-database %{_datadir}/applications
%endif

%ifarch %livearches
%postun
/usr/bin/update-desktop-database %{_datadir}/applications
%endif

#%files -f %{name}.lang
%files -f anaconda.lang
%defattr(-,root,root)
%doc COPYING
#%doc ChangeLog
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/mediacheck.txt
%doc docs/anaconda-release-notes.txt
%doc docs/moblin-ks.cfg
%{_bindir}/mini-wm
%{_sbindir}/anaconda
%ifarch %{ix86} x86_64
%{_sbindir}/gptsync
%{_sbindir}/showpart
%endif
%{_datadir}/anaconda
%{_prefix}/lib/anaconda
%{_prefix}/lib/anaconda-runtime
%ifarch %livearches
%{_bindir}/liveinst
%{_sbindir}/liveinst
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%{_sysconfdir}/security/console.apps/*
%{_datadir}/applications/*.desktop
%endif
/var/lib/moblin-installer/scripts


%changelog
* Mon Jul 27 2009 Vivian Zhang <vivian.zhang@intel.com> 0.34
- Set size for resize2fs if resizetargetsize exists, fixed #4663: system can't boot up if the new root partition is edited by both formatting and resizing
* Wed Jul 22 2009 Xu Li <xu.li@intel.com> 0.34
- Upgrade to 0.34
- Update pot/po files
- Remove unsupported langs from lang list again
* Tue Jul 21 2009 Vivian Zhang <vivian.zhang@intel.com> 0.33
- Upgrade to 0.33
- Update po files of Chinese(Taiwan), Japanese & Germany
- Update xdg user dirs to prepare for bkl-rename-user, fixed bug #4391
- Remove the workaroud for bug #1023
* Mon Jul 20 2009 Xu Li <xu.li@intel.com> 0.32
- Update po files of Finnish, Swedish, Brazilian Portuguese, French & Spanish; add po file of Italian from Fedora
- Temporally remove the unsupported hu.po
* Sun Jul 19 2009 Austin Zhang <austin.zhang@intel.com> 0.32
- Add dependency on libblkid-devel
* Fri Jul 17 2009 Vivian Zhang <vivian.zhang@intel.com> 0.32
- Upgrade to 0.32
- Redirect stderr to /dev/null in liveinst.sh
* Tue Jul 14 2009 Xu Li <xu.li@intel.com> 0.31
- Upgrade to 0.31
- Update es.po file; fully fix bug#4051
- Fix the i18n issues of the language & timezone screens (bug#4046 & #4047)
* Fri Jul 10 2009 Xu Li <xu.li@intel.com> 0.30
- Upgrade to 0.30
- Update the pot file; update the translation of es, ja, zh_TW, sv, fi, de, ki
- Fix bug#4051 - wrap up text in autopart screen
- Fix bug#4074 - remove all encrypt check buttons
- Fix bug#4087 - correct the title in timezone screen
- Fix bug#3512 - correct the widget focus in adduser screen
- Fix bug#4228 - do i18n for error dialogs in autopart screen
- Fix bug#4129 - add more supported languages in language screen
* Fri Jul  3 2009 Xu Li <xu.li@intel.com> 0.29
- Upgrade to 0.29
- Bug fixes (#3519, 3235)
- Update the pot file; update the translation of zh_CN, fr & pt_BR
* Fri Jun 12 2009 Xu Li <xu.li@intel.com> 0.27
- Upgrade to 0.27
- Fix the en lang return error in getNickByname; fix bug#3234
* Wed Jun 10 2009 Xu Li <xu.li@intel.com> 0.26
- Upgrade to 0.26
- Rename the URIs stored in the Bickley database to the new username; fix bug#2608
* Wed Jun  3 2009 Vivian Zhang <vivian.zhang@intel.com> 0.25
- Upgrade to 0.25
- Do not create /boot partition by default to reduce boot time
* Wed Jun  3 2009 Xu Li <xu.li@intel.com> 0.24
- Upgrade to 0.24
- Correct the supported language list
* Tue May 19 2009 Anas Nashif <anas.nashif@intel.com> 0.23
- New moblin images for installer
* Fri May  8 2009 Vivian Zhang <vivian.zhang@intel.com> 0.22
- Upgrade to 0.22
- Fixed the compliance issue to make sure network installer works properly with latest yum package
* Wed May  6 2009 Xu Li <xu.li@intel.com> 0.21
- Upgrade to 0.21
- Disable the default mount policy of internal media to avoid the popped auth dialog; set it back after installation. Fix bug#1659
- Set defaultdesktop to gnome for public image - network installation
- Add missing run-time require: GConf-dbus
* Wed Apr  8 2009 Xu Li <xu.li@intel.com> 0.20
- Set the keyboard layout to the right value; fix bug#1181
* Mon Mar 30 2009 Vivian Zhang <vivian.zhang@intel.com> 0.19
- Re-add vga=current in http installation
- Fixed #1023, chinese(simplified) font size is not uniform
* Sun Mar 22 2009 Anas Nashif <anas.nashif@intel.com> 0.18
- Re-add vga=current
* Thu Mar 19 2009 Vivian Zhang <vivian.zhang@intel.com> 0.17
- Add sdb to driveorder to fix installation failure in kickstart mode
* Mon Mar 16 2009 Vivian Zhang <vivian.zhang@intel.com> 0.16
- version 0.16
- kill mini-wm and return to tty if installation failed on GUI
- Check desktop in live image to decide the default desktop for http installtion #1255
- Selected cutomize_later by default for http installation to fix #1254
- Fixed screen fit issue for jax10 #1267
- Merge fix about lang-table from xu
* Sat Mar 14 2009 Vivian Zhang <vivian.zhang@intel.com> 0.15
- Version 0.15
- Disable text mode
- Remove moblin-live package after installation
- Remove writeKsconfig step, fix #1236
- Check installation status before reboot, fix #1223
* Wed Mar  4 2009 Xu Li <xu.li@intel.com> 0.14
- Remove the require - system-config-users
* Sat Feb 28 2009 Anas Nashif <anas.nashif@intel.com> 0.14
- Do not set vga=current
* Thu Feb 26 2009 Anas Nashif <anas.nashif@intel.com> 0.13
- Update to version 0.13
* Fri Feb 20 2009 Anas Nashif <anas.nashif@intel.com> 0.11
- Set bootsplash, add vga mode
* Wed Feb 18 2009 Vivian Zhang <vivian.zhang@intel.com> 0.9.2
- Update to version 0.10
* Fri Feb  6 2009 Vivian Zhang <vivian.zhang@intel.com> 0.9
- Update to version 0.9
* Thu Feb  5 2009 Vivian Zhang <vivian.zhang@intel.com> 0.8
- Disable disk formatting progress window to fix 762
- Always show language select screen
* Wed Feb  4 2009 Anas Nashif <anas.nashif@intel.com> 0.8
- Update to version 0.8
* Wed Jan 21 2009 Xu Li <xu.li@intel.com> 0.7
- Fix bug #486: no title bar for error window
- Add missing %%s in checkUsername() of users.py
- Split functions to check username, fullname,
  password & config autologin separately in iw/postconfig_gui.py
- Remove the dependency on system-conf-users
- Unify root/user password
* Tue Jan 20 2009 Anas Nashif <anas.nashif@intel.com> 0.4
- Delete related group info while deleting user (bug #483)
- add confirm window when no partition was choosen and deleting
  extended partitions  (bugs: 488, 490)
- Generate connman compatible resolv.conf
* Sun Jan 18 2009 Anas Nashif <anas.nashif@intel.com> 0.3
- Fixed cracklib password checking
- Version 0.3
* Fri Jan 16 2009 Anas Nashif <anas.nashif@intel.com> 0.2
- Create users with default groups audio,video
* Thu Jan 15 2009 Anas Nashif <anas.nashif@intel.com> 0.2
- Support post-install scripts in installer
- Configure autologin user in desktop file even if gdm is available
- Reboot after liveinst if running in installation mode
* Wed Jan 14 2009 Vivian zhang <vivian.zhang@intel.com> 0.2
- Reduce swap suggestion size
- Autopart: select the first driver for installation
- Merge fix from lixu: disable installer window title bar
* Mon Jan 12 2009 Xu Li <xu.li@intel.com> 0.2
- Merge the udev & xinit patches to the source code
* Sat Jan 10 2009 Anas Nashif <anas.nashif@intel.com> 0.2
- Fixed udev calls, fixed desktop file installation
* Sat Jan 10 2009 Anas Nashif <anas.nashif@intel.com> 0.2
- Fixed udev calls
- Fixded liveinst desktop installation
* Thu Jan  8 2009 Vivian zhang <vivian.zhang@intel.com> 0.2
- Remove Requires - createrepo
* Wed Jan  7 2009 Xu Li <xu.li@intel.com> 0.2
- Add Requires - system-config-users
